/*
 * Copyright (c) 2003, 2004 Yrj Kari-Koskinen, Henri Sivonen
 *
 * Permission is hereby granted, free of charge, to any person obtaining a 
 * copy of this software and associated documentation files (the "Software"), 
 * to deal in the Software without restriction, including without limitation 
 * the rights to use, copy, modify, merge, publish, distribute, sublicense, 
 * and/or sell copies of the Software, and to permit persons to whom the 
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in 
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR 
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL 
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER 
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING 
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER 
 * DEALINGS IN THE SOFTWARE.
 */

package fi.iki.hsivonen.template.test;

import org.mortbay.http.HttpContext;
import org.mortbay.http.HttpServer;
import org.mortbay.http.SocketListener;
import org.mortbay.jetty.servlet.ServletHandler;
import org.mortbay.util.MultiException;

/**
 * @author Yrj Kari-Koskinen ykk@kallio.tky.hut.fi
 * @author Henri Sivonen hsivonen@iki.fi
 */
public class BenchMarkServer {

    public static void main(String[] args) {
        System.setProperty("fi.iki.hsivonen.template.servlet.datasourcesource",
                "fi.iki.hsivonen.template.test.TestDataSourceFactory");
        TestDataSourceFactory.url = args[0];

        // Create a server on port 8889
        HttpServer server = new HttpServer();
        SocketListener listener = new SocketListener();
        listener.setPort(8889);
        server.addListener(listener);
        HttpContext context = new HttpContext();
        context.setContextPath("/");
        server.addContext(context);
        ServletHandler servlets = new ServletHandler();
        servlets.addServlet("Dump", "/Dump/*", "org.mortbay.servlet.Dump");
        servlets.addServlet("/te", "/te/*",
                "fi.iki.hsivonen.template.servlet.TemplateEngineServlet");
        context.addHandler(servlets);
        server.addContext(context);
        try {
            server.start();
        } catch (MultiException e) {
            e.printStackTrace();
        }
    }
}

